name: unicblue/nav-tabs
typeName: unicblue_navtabs
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: tabs
    type: Collection
    labelField: title
    minitems: 2
    maxitems: 12
    fields:
      -
        identifier: title
        type: Text
        required: true
      -
        identifier: bodytext
        type: Textarea
        enableRichtext: true
      -
        identifier: image
        type: File
        allowed: common-image-types
        minitems: 0
        maxitems: 1
      -
        identifier: image_position
        type: Select
        translatable: false
        renderType: selectSingle
        default: above
        items:
          - label: 'LLL:EXT:hks/ContentBlocks/ContentElements/nav-tabs/language/labels.xlf:tabs.image_position.items.above'
            value: above
          - label: 'LLL:EXT:hks/ContentBlocks/ContentElements/nav-tabs/language/labels.xlf:tabs.image_position.items.below'
            value: below
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
